Delete a record
DELETE
/cms/data/{collection}/records/{id}
const url = 'https://api.example.com/cms/data/matches/records/1?force=1';const options = {method: 'DELETE', headers: {'API-Key': '<API-Key>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request DELETE \ --url 'https://api.example.com/cms/data/matches/records/1?force=1' \ --header 'API-Key: <API-Key>'Refused while other records point to it, unless force=1 (their references are left dangling). Requires the “Structured data - Write records” permission.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”collection
required
string
Collection key
Example
matchesid
required
integer
Record ID
Query Parameters
Section titled “Query Parameters”force
string
Responses
Section titled “Responses”Deleted
Needs an API key linked to a CMS user with the Structured data permission
No such collection or record
Other records point to it